include("zrmine/sh/zrmine_config.lua")
AddCSLuaFile("zrmine/sh/zrmine_config.lua")

local function zrmine_LoadAllFiles(fdir)
	local files, dirs = file.Find(fdir .. "*", "LUA")

	for _, afile in ipairs(files) do
		if string.match(afile, ".lua") then
			if SERVER then
				AddCSLuaFile(fdir .. afile)
			end

			include(fdir .. afile)
		end
	end

	for _, dir in ipairs(dirs) do
		zrmine_LoadAllFiles(fdir .. dir .. "/")
	end
end

zrmine_LoadAllFiles("zrms_languages/")
zrmine_LoadAllFiles("zrmine/")
